### Function

# Gimp palette_add_entry

#### Declaration [src]

    gboolean
    gimp_palette_add_entry (
      const gchar* name,
      const gchar* entry_name,
      const GimpRGB* color,
      gint* entry_num
    )

#### Description [src]

Adds a palette entry to the specified palette.

This procedure adds an entry to the specified palette. It returns an error if the entry palette does not exist.

Available since: | 2.2

#### Parameters

`name` | `const gchar*`
| The palette name.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`entry_name` | `const gchar*`
| The name of the entry.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.
`color` | `GimpRGB`
| The new entry’s color color.
| The data is owned by the caller of the function.
`entry_num` | `gint*`
| The index of the added entry.
| The argument will be set by the function.

#### Return value

Returns: | `gboolean`
| TRUE on success.